lcm_source(1)

NAME
lcm_source - Transmit random messages over the LC Communications library

SYNOPSIS

lcm_source [options]

DESCRIPTION

lcm_source is a utility for testing the Lightweight Communications library (LC). lcm_source transmits random messages on either a specified LC channel or random LC channels. Messages can be randomly sized, or a specified fixed size.

OPTIONS
The following options are provided by lcm_source:

-m CHAN
    Transmits messages on channel CHAN (default: random channels)

-p DELAY
    Wait DELAY microseconds between transmissions (default: 10000)

-s SIZE
    Transmit packets of size SIZE bytes. If SIZE is 0 (default), then packets are randomly sized between 1 and 65,000 bytes

-v  verbose mode. Prints a summary of each packet

-h  Prints this help text and exits.

COPYRIGHT

lcm-source is part of the Lightweight Communications and Marshalling (LCM) project. Permission is granted to copy, distribute and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version. See the file COPYING in the LCM distribution for more details regarding distribution.

LCM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with LCM; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

AUTHOR

This manual page was written by Albert Huang.